/*  $Id: StrucFindDialogData.cpp,v 1.30 2003/05/22 16:43:09 dm Exp $

    This file is part of the

    GRammar vISUalization tool (GRISU)

    Developed by Holger Wunsch and Detmar Meurers
    Copyright (C) 1998-2003 by the developers
    All rights reserved

    Seminar fr Sprachwissenschaft, Universitt Tbingen and
    Department of Linguistics, The Ohio State University

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


/** Declaration of the <code>StrucFindDialogData</code> class.
    Automatically generated by QtArchitect.
    @author Holger Wunsch */

#include <qpixmap.h>
#include <qlayout.h>
#include <qglobal.h>
#include "StrucFindDialogData.h"

#define Inherited KDialog

#include <qlabel.h>
#include <qpushbutton.h>

#include "StrucFindDialogData.moc"

StrucFindDialogData::StrucFindDialogData
(
	QWidget* parent,
	const char* name
)
	:
#if (QT_VERSION >= 0x030000)
  Inherited( parent, name, FALSE, Qt::WDestructiveClose | Qt::WType_Dialog)
#else
  Inherited( parent, name, FALSE, Qt::WDestructiveClose | Qt::WType_Modal)
#endif
{
	input = new QLineEdit( this, "LineEdit_1" );
	input->setGeometry( 10, 40, 220, 25 );
	input->setMinimumSize( 0, 0 );
	input->setMaximumSize( 32767, 32767 );
	input->setFocusPolicy( QWidget::StrongFocus );
	input->setBackgroundMode( QWidget::PaletteBase );
	input->setText( "" );
	input->setMaxLength( 32767 );
	input->setFrame( QLineEdit::Normal );
	input->setFrame( TRUE );
	connect(input, SIGNAL(textChanged(const QString&)), SLOT(textChangedSlot(const QString&)));

	QLabel* qtarch_Label_1;
	qtarch_Label_1 = new QLabel(input, "&Search for:", this, "Label_1" );
	qtarch_Label_1->setGeometry( 10, 18, 70, 20 );
	qtarch_Label_1->setMinimumSize( 0, 0 );
	qtarch_Label_1->setMaximumSize( 32767, 32767 );
	qtarch_Label_1->setFocusPolicy( QWidget::NoFocus );
	qtarch_Label_1->setBackgroundMode( QWidget::PaletteBackground );
	qtarch_Label_1->setFrameStyle( 0 );
	qtarch_Label_1->setLineWidth( 1 );
	qtarch_Label_1->setMidLineWidth( 0 );
	qtarch_Label_1->QFrame::setMargin( 0 );
	qtarch_Label_1->setAlignment( 289 );
	qtarch_Label_1->setMargin( -1 );

	ignoreCase = new QCheckBox(this, "IgnoreCase");
	ignoreCase->setGeometry(10, 75, 220, 20);
	ignoreCase->setText("&Ignore Case");
	connect(ignoreCase, SIGNAL(toggled(bool)), SLOT(ignoreCaseToggledSlot(bool)));

	qtarch_PushButton_1 = new QPushButton( this, "PushButton_1" );
	qtarch_PushButton_1->setGeometry( 250, 15, 90, 25 );
	qtarch_PushButton_1->setMinimumSize( 0, 0 );
	qtarch_PushButton_1->setMaximumSize( 32767, 32767 );
	connect( qtarch_PushButton_1, SIGNAL(clicked()), SLOT(okSlot()) );
	qtarch_PushButton_1->setFocusPolicy( QWidget::TabFocus );
	qtarch_PushButton_1->setBackgroundMode( QWidget::PaletteBackground );
	qtarch_PushButton_1->setText( "&Find" );
	qtarch_PushButton_1->setAutoRepeat( FALSE );
	qtarch_PushButton_1->setAutoResize( FALSE );
	qtarch_PushButton_1->setToggleButton( FALSE );
	qtarch_PushButton_1->setDefault( TRUE );
	qtarch_PushButton_1->setAutoDefault( FALSE );
	qtarch_PushButton_1->setIsMenuButton( FALSE );

	qtarch_PushButton_3 = new QPushButton( this, "PushButton_3" );
	qtarch_PushButton_3->setGeometry( 250, 45, 90, 25 );
	qtarch_PushButton_3->setMinimumSize( 0, 0 );
	qtarch_PushButton_3->setMaximumSize( 32767, 32767 );
	connect( qtarch_PushButton_3, SIGNAL(clicked()), SLOT(nextSlot()) );
	qtarch_PushButton_3->setFocusPolicy( QWidget::TabFocus );
	qtarch_PushButton_3->setBackgroundMode( QWidget::PaletteBackground );
	qtarch_PushButton_3->setText( "Find Next (F3)" );
	qtarch_PushButton_3->setAutoRepeat( FALSE );
	qtarch_PushButton_3->setAutoResize( FALSE );
	qtarch_PushButton_3->setToggleButton( FALSE );
	qtarch_PushButton_3->setDefault( FALSE );
	qtarch_PushButton_3->setAutoDefault( FALSE );
	qtarch_PushButton_3->setIsMenuButton( FALSE );
	qtarch_PushButton_3->setAccel(Key_F3);
	
	

	QPushButton* qtarch_PushButton_2;
	qtarch_PushButton_2 = new QPushButton( this, "PushButton_2" );
	qtarch_PushButton_2->setGeometry( 250, 75, 90, 25 );
	qtarch_PushButton_2->setMinimumSize( 0, 0 );
	qtarch_PushButton_2->setMaximumSize( 32767, 32767 );
	connect( qtarch_PushButton_2, SIGNAL(clicked()), SLOT(cancelSlot()) );
	qtarch_PushButton_2->setFocusPolicy( QWidget::TabFocus );
	qtarch_PushButton_2->setBackgroundMode( QWidget::PaletteBackground );
	qtarch_PushButton_2->setText( "Close" );
	qtarch_PushButton_2->setAutoRepeat( FALSE );
	qtarch_PushButton_2->setAutoResize( FALSE );
	qtarch_PushButton_2->setToggleButton( FALSE );
	qtarch_PushButton_2->setDefault( FALSE );
	qtarch_PushButton_2->setAutoDefault( FALSE );
	qtarch_PushButton_2->setIsMenuButton( FALSE );

	resize( 350,110 );
	setMinimumSize( 0, 0 );
	setMaximumSize( 32767, 32767 );
}


StrucFindDialogData::~StrucFindDialogData()
{
}
void StrucFindDialogData::cancelSlot()
{
}
void StrucFindDialogData::nextSlot()
{
}
void StrucFindDialogData::okSlot()
{
}


void StrucFindDialogData::textChangedSlot(const QString& text)
{
}


void StrucFindDialogData::ignoreCaseToggledSlot(bool on) {
}
