/*  $Id: StrucFindDialogData.h,v 1.29 2003/05/22 16:43:09 dm Exp $

    This file is part of the

    GRammar vISUalization tool (GRISU)

    Developed by Holger Wunsch and Detmar Meurers
    Copyright (C) 1998-2003 by the developers
    All rights reserved

    Seminar fr Sprachwissenschaft, Universitt Tbingen and
    Department of Linguistics, The Ohio State University

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


/** @file
    Contains resources for the Find dialog.
    @author Holger Wunsch */

#ifndef StrucFindDialogData_included
#define StrucFindDialogData_included

#include <kdialog.h>
#include <qlineedit.h>
#include <qcheckbox.h>


/** Resource class for the Find dialog. Automatically generated by
    QtArchitect.
    @author Holger Wunsch */
class StrucFindDialogData : public KDialog
{
    Q_OBJECT

public:

    /** Dialog data. */
    StrucFindDialogData
    (
        QWidget* parent = NULL,
        const char* name = NULL
    );


    /** Destructor. */
    virtual ~StrucFindDialogData();

public slots:


protected slots:

  /** Called when the user clicked the "Find Next" button. */
  virtual void nextSlot();


  /** Called when the user clicked the "Find" button. */ 
  virtual void okSlot();


  /** Called when the user clicked the "Cancel" button. */
  virtual void cancelSlot();


  /** Called when the user typed in new text. */
  virtual void textChangedSlot(const QString& text);


  /** Called when the user toggle the "Ignore Case" checkbox. */
  virtual void ignoreCaseToggledSlot(bool on);


protected:
  /** The input line for the search term. */
  QLineEdit* input;


  /** The "Ignore Case" checkbox. */
  QCheckBox* ignoreCase;


  /** The "Find" button. */
  QPushButton* qtarch_PushButton_1;


  /** The "Find Next" button. */
  QPushButton* qtarch_PushButton_3;
};

#endif // StrucFindDialogData_included
