/*  $Id: gdatareader.h,v 1.12 2003/05/22 16:43:11 dm Exp $

    This file is part of the

    GRammar vISUalization tool (GRISU)

    Developed by Holger Wunsch and Detmar Meurers
    Copyright (C) 1998-2003 by the developers
    All rights reserved

    Seminar fr Sprachwissenschaft, Universitt Tbingen and
    Department of Linguistics, The Ohio State University

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


/** @file

    Declaration of the abstract <code>GDataReader</code> class.

    @author Holger Wunsch */


#ifndef __GDATAREADER_H
#define __GDATAREADER_H


#include "gbuffer.h"


/** <code>GDataReader</code> is an abstract class that defines the interface a class
    must support in order to receive incoming data from a <code>GDataExchange</code>
    instance.

    Any class that parses incoming data must implement this interface.

    @author Holger Wunsch */
class GDataReader {
 public:
  /** This method is called by an instance of <code>GDataExchange</code> when
      new data has become available.
      
      It is not guaranteed that <code>buffer</code> remains valid after a call
      to this method. */
  virtual void processData(GBuffer* buffer) = 0;
};


#endif
